Bug 885520 - [abrt] OutlinerParaObject::OutlinerParaObject
[abrt] OutlinerParaObject::OutlinerParaObject
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:932394788f01db7c0e7ee3a683f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-09 18:40 EST by Caner Çuhac
Modified: 2013-02-01 07:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-01 07:19:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (3.22 KB, text/plain)
2012-12-09 18:41 EST, Caner Çuhac
no flags Details
File: environ (1.68 KB, text/plain)
2012-12-09 18:41 EST, Caner Çuhac
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-09 18:41 EST, Caner Çuhac
no flags Details
File: backtrace (44.16 KB, text/plain)
2012-12-09 18:41 EST, Caner Çuhac
no flags Details
File: cgroup (128 bytes, text/plain)
2012-12-09 18:41 EST, Caner Çuhac
no flags Details
File: smolt_data (3.51 KB, text/plain)
2012-12-09 18:41 EST, Caner Çuhac
no flags Details
File: executable (40 bytes, text/plain)
2012-12-09 18:41 EST, Caner Çuhac
no flags Details
File: maps (57.60 KB, text/plain)
2012-12-09 18:41 EST, Caner Çuhac
no flags Details
File: dso_list (19.87 KB, text/plain)
2012-12-09 18:41 EST, Caner Çuhac
no flags Details
File: proc_pid_status (790 bytes, text/plain)
2012-12-09 18:41 EST, Caner Çuhac
no flags Details
File: var_log_messages (948 bytes, text/plain)
2012-12-09 18:41 EST, Caner Çuhac
no flags Details
File: open_fds (469 bytes, text/plain)
2012-12-09 18:41 EST, Caner Çuhac
no flags Details

  None (edit)
Description Caner Çuhac 2012-12-09 18:40:56 EST
Description of problem:
Libreoffice Impress crashes whenever I try to demote the 'slide title' by one in the outline view mode.

Version-Release number of selected component:
libreoffice-core-3.5.7.2-6.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --impress file:///home/caner/Dropbox/briefcase/documents/riwa/seed-drill/WoWSS2012/20121211-sunum/20121211-wowss_sunum.odp --splash-pipe=6
crash_function: OutlinerParaObject::OutlinerParaObject
kernel:         3.6.9-2.fc17.i686.PAE

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 OutlinerParaObject::OutlinerParaObject at /usr/src/debug/libreoffice-3.5.7.2/editeng/source/outliner/outlobj.cxx:100
: #1 Outliner::CreateParaObject at /usr/src/debug/libreoffice-3.5.7.2/editeng/source/outliner/outliner.cxx:382
: #2 sd::OutlineViewShell::UpdateTitleObject at /usr/src/debug/libreoffice-3.5.7.2/sd/source/ui/view/outlnvsh.cxx:1832
: #3 sd::OutlineView::UpdateDocument at /usr/src/debug/libreoffice-3.5.7.2/sd/source/ui/view/outlview.cxx:1695
: #4 sd::OutlineView::EndModelChange at /usr/src/debug/libreoffice-3.5.7.2/sd/source/ui/view/outlview.cxx:1665
: #5 ~auto_ptr at /usr/include/c++/4.7.2/backward/auto_ptr.h:170
: #6 sd::OutlineViewShell::FuSupport at /usr/src/debug/libreoffice-3.5.7.2/sd/source/ui/view/outlnvsh.cxx:715
: #7 CallExec at /usr/src/debug/libreoffice-3.5.7.2/sfx2/inc/sfx2/shell.hxx:201
: #8 SfxDispatcher::Call_Impl at /usr/src/debug/libreoffice-3.5.7.2/sfx2/source/control/dispatch.cxx:276
: #9 SfxBindings::Execute_Impl at /usr/src/debug/libreoffice-3.5.7.2/sfx2/source/control/bindings.cxx:1310
Comment 1 Caner Çuhac 2012-12-09 18:41:00 EST
Created attachment 660502 [details]
File: core_backtrace
Comment 2 Caner Çuhac 2012-12-09 18:41:03 EST
Created attachment 660503 [details]
File: environ
Comment 3 Caner Çuhac 2012-12-09 18:41:06 EST
Created attachment 660504 [details]
File: limits
Comment 4 Caner Çuhac 2012-12-09 18:41:08 EST
Created attachment 660505 [details]
File: backtrace
Comment 5 Caner Çuhac 2012-12-09 18:41:11 EST
Created attachment 660506 [details]
File: cgroup
Comment 6 Caner Çuhac 2012-12-09 18:41:13 EST
Created attachment 660507 [details]
File: smolt_data
Comment 7 Caner Çuhac 2012-12-09 18:41:15 EST
Created attachment 660508 [details]
File: executable
Comment 8 Caner Çuhac 2012-12-09 18:41:18 EST
Created attachment 660509 [details]
File: maps
Comment 9 Caner Çuhac 2012-12-09 18:41:20 EST
Created attachment 660510 [details]
File: dso_list
Comment 10 Caner Çuhac 2012-12-09 18:41:22 EST
Created attachment 660511 [details]
File: proc_pid_status
Comment 11 Caner Çuhac 2012-12-09 18:41:25 EST
Created attachment 660512 [details]
File: var_log_messages
Comment 12 Caner Çuhac 2012-12-09 18:41:27 EST
Created attachment 660513 [details]
File: open_fds
Comment 13 David Tardon 2012-12-19 06:55:31 EST
I cannot reproduce this. What I tried:

1. create a new presentation
2. switch to outline mode
3. write 'abc'; enter
4. write 'def'
5. press <Alt>+<Shift>+<Right> (demote one level)

Next I tried the same in valgrind; I also added one paragraph more and tried promoting, demoting, moving up and down for a while. All that without any problem.

Can you reproduce the crash? If yes, it is with any presentation, or just the one you had opened?

Note You need to log in before you can comment on or make changes to this bug.